## ros-jazzy-rmf-traffic-ros2 2.7.2

=== debian/changelog ===
ros-jazzy-rmf-traffic-ros2 (2.7.2-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Mon, 17 Jun 2024 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.7.1-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Mon, 10 Jun 2024 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.7.0-2bookworm) bookworm; urgency=high

  * Fix race condition for ingesting/dispensing and disable uncrustify tests by default (#362 <https://github.com/open-rmf/rmf_ros2/pull/362>)
  * Fix serialization of exit events (#364 <https://github.com/open-rmf/rmf_ros2/pull/364>)
  * Contributors: Grey, Luca Della Vedova, Yadunund

 -- Grey <grey@openrobotics.org>  Fri, 31 May 2024 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.6.0-2bookworm) bookworm; urgency=high

  * Add Backward-ROS for improved logging in event of segfaults (#327 <https://github.com/open-rmf/rmf_ros2/pull/327>)
  * Explicitly specify all qos depth (#323 <https://github.com/open-rmf/rmf_ros2/pull/323>)
  * Contributors: Arjo Chakravarty, Teo Koon Peng, Yadunund

 -- Grey <grey@openrobotics.org>  Tue, 12 Mar 2024 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.5.0-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Thu, 21 Dec 2023 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.4.0-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Thu, 14 Dec 2023 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.3.2-2bookworm) bookworm; urgency=high

  * Improve linking time (#297 <https://github.com/open-rmf/rmf_ros2/pull/297>)
  * EasyFullControl API (#235 <https://github.com/open-rmf/rmf_ros2/pull/235>)
  * Remove a few warnings related to RCLCPP logger (#296 <https://github.com/open-rmf/rmf_ros2/pull/296>)
  * Contributors: Arjo Chakravarty, Grey, Luca Della Vedova, Xiyu, Yadunund

 -- Grey <grey@openrobotics.org>  Sun, 27 Aug 2023 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.3.1-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.3.0-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.2.0-2bookworm) bookworm; urgency=high

  * Switch to rst changelogs (#276 <https://github.com/open-rmf/rmf_ros2/pull/276>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.1.5-2bookworm) bookworm; urgency=high

  * Reformat code to meet expectations of uncrustify-0.72.0: (#274 <https://github.com/open-rmf/rmf_ros2/pull/274>)
  * Contributors: Yadunund

 -- Grey <grey@openrobotics.org>  Fri, 19 May 2023 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.1.4-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.1.3-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Tue, 25 Apr 2023 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.1.2-2bookworm) bookworm; urgency=high



 -- Grey <grey@openrobotics.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.1.0-2bookworm) bookworm; urgency=high

  * Make async behaviors more robust: (#228 <https://github.com/open-rmf/rmf_ros2/pull/228>)
  * Make schedule failover more robust: (#232 <https://github.com/open-rmf/rmf_ros2/pull/232>)
  * Ignore conflicts between any plans that have a dependency: (#205 <https://github.com/open-rmf/rmf_ros2/pull/205>)
  * Add support for docking in lanes with entry events: (#226 <https://github.com/open-rmf/rmf_ros2/pull/226>)
  * Add message conversion functions for the navigation graph: (#207 <https://github.com/open-rmf/rmf_ros2/pull/207>)
  * Changes for humble compatibility: (#215 <https://github.com/open-rmf/rmf_ros2/pull/215>)

 -- Grey <grey@openrobotics.org>  Sun, 02 Oct 2022 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (2.0.0-2bookworm) bookworm; urgency=high

  * Update to the traffic dependency system: (#188 <https://github.com/open-rmf/rmf_ros2/pull/188>)

 -- Grey <grey@openrobotics.org>  Thu, 17 Mar 2022 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (1.5.0-2bookworm) bookworm; urgency=high

  * Allow participants to sync up with remote databases when discrepancies arise (#145 <https://github.com/open-rmf/rmf_ros2/pull/145>)
  * Support for geojson graphs (#142 <https://github.com/open-rmf/rmf_ros2/pull/142>)

 -- Grey <grey@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (1.4.0-2bookworm) bookworm; urgency=high

  * Make traffic schedule updates more efficient: (#86 <https://github.com/open-rmf/rmf_ros2/pull/86>)
  * Add redundancy to the traffic schedule node: (#61 <https://github.com/open-rmf/rmf_ros2/pull/61>)

 -- Grey <grey@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (1.3.0-2bookworm) bookworm; urgency=high

  * Use topics to update schedule mirrors: (#17 <https://github.com/open-rmf/rmf_ros2/pull/17>)
  * Allow participant descriptions to update: (#17 <https://github.com/open-rmf/rmf_ros2/pull/17>)
  * Add persistence to Traffic Schedule Participant IDs: (#242 <https://github.com/osrf/rmf_core/pull/242>)

 -- Grey <grey@openrobotics.org>  Sun, 06 Jun 2021 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (1.2.0-2bookworm) bookworm; urgency=high

  * Adding distributed blockade system hooks: (#22 <https://github.com/osrf/rmf_core/pull/22>)

 -- Grey <grey@openrobotics.org>  Mon, 04 Jan 2021 16:00:00 -0000

ros-jazzy-rmf-traffic-ros2 (1.1.0-2bookworm) bookworm; urgency=high

  * Add a schedule node factory to the public API: (#147 <https://github.com/osrf/rmf_core/pull/147>)
  * Allow the Negotiation class to accept callbacks for Table updates: (#140 <https://github.com/osrf/rmf_core/pull/140>)
  * Allow the Negotiation class to provide views for existing Tables: (#140 <https://github.com/osrf/rmf_core/pull/140>)

